## org.eclipse.m2m.qvt.oml.runtime.util
Class QvtoTransformationValidator

    java.lang.Object
      org.eclipse.m2m.qvt.oml.runtime.util.QvtoTransformationValidator

    public class QvtoTransformationValidator

extends java.lang.Object

Field Summary
`static int` `QVTO_CHILD_DIAGNOSTIC`
`static int` `QVTO_ROOT_DIAGNOSTIC`

Method Summary
`static Diagnostic` `validateQvtoScript(URI uriTransf, IProgressMonitor monitor, java.util.Map<java.lang.String,java.lang.String> options)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QVTO_ROOT_DIAGNOSTIC

    public static final int QVTO_ROOT_DIAGNOSTIC

See Also:
  Constant Field Values

### QVTO_CHILD_DIAGNOSTIC

    public static final int QVTO_CHILD_DIAGNOSTIC

See Also:
  Constant Field Values

Method Detail

### validateQvtoScript

    public static Diagnostic validateQvtoScript(URI uriTransf,
                                                IProgressMonitor monitor,
                                                java.util.Map<java.lang.String,java.lang.String> options)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.